SREC2FW(1)

NAME
srec2fw - convert from SREC format to linux kernel format

SYNOPSIS
srec2fw [OPTION]... [src.hex] [dst.fw]

DESCRIPTION
Converts srec firmware files into binary representation for use by Linux kernel.

If the source file is `-' stdin will be read, and if destination file is `-' the converted data will be written to stdout.

-w  Source file uses wide records (16-bit length)

RETURN VALUE
Returns 0 if no errors were encountered.

EXAMPLES
srec2fw firmware.hex firmware.fw

AUTHOR
Karl Relton <karllinuxtest.relton@ntlworld.com>, David Woodhouse <dwmw2@infradead.org>, Jan Harkes <jaharkes@cs.cmu.edu>